/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Contenedor general */
.dashboard-container {
    display: flex;
    height: 100vh;
}

/* Menú lateral */
.sidebar {
    width: 250px;
    background-color: #fff;
    color: #333333;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 20px;
}
.sidebar-header .logo {
    width: 180px;
}

.user-info {
    text-align: center;
    margin: 60px 0px;
    font-family: "Nunito", sans-serif;
    font-size: 14px;
}

.user-photo {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-bottom: 10px;
    border: 2px solid white;
}

.nav-menu {
    width: 100%;
}

.nav-menu ul {
    list-style: none;
    padding: 0;
}

.nav-menu ul li {
    width: 100%;
    text-align: left;
    margin-bottom: 10px;
}

.nav-menu ul li a {
text-decoration: none;
    color: #333333;
    display: block;
    padding: 10px;
    font-size: 15px;
    transition: background 0.3s;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
}

.nav-menu ul li a:hover, .nav-menu ul li a.active {
    background: #fff;
    color: #2da4ca;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-size: 15px;
}

/* Contenido principal */
.main-content {
    flex-grow: 1;
    padding: 20px;
    background: #f4f4f4;
    overflow-y: auto;
}

.content-section {
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 800px;
    margin: auto;
}


/* Perfil */


.perfil-container {
    max-width: 98%;
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
    text-align: center;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}

/* Imagen de portada */
.cover-photo {
    position: relative;
}

.cover-photo img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 8px;
}

.edit-cover {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background: rgba(0,0,0,0.7);
    color: white;
    border: none;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 5px;
}

/* Contenedor del perfil */
.profile-info {
    position: relative;
    text-align: left;
    margin-top: -60px;
}

/* Foto de perfil */
.profile-pic {
    width: 160px;
    height: 160px;
    border-radius: 50%;
    border: 3px solid white;
    object-fit: cover;
    position: absolute;
    left: 0;
    transform: translateY(-22%) translateX(30%);
}

/* Asegura que la información del usuario no se superponga con la foto */
.profile-info h2, 
.profile-info p {
    color: #fff;
    position: absolute;
    transform: translateY(11%) translateX(193%);
    font-family: "Nunito", sans-serif;
}

/* Pestañas */
.tabs {
    display: flex;
    justify-content: left;
    margin-top: 13%;
}

.tab-button {
    padding: 10px 20px;
    border: none;
    background: #f5f5f5;
    cursor: pointer;
    margin: 0 5px;
    color: #333;
    font-size: 15px;
}

.tab-button.active {
    background: #e7f9ff;
    color: #2da4ca;
    font-size: 15px;
    font-family: "Nunito", sans-serif;
}

.tab-content {
    display: none;
    margin-top: 20px;
}

.tab-content:first-child {
    display: block;
}

/*Tienda*/
.tienda-container > h2{
    font-family: "Nunito", sans-serif;
    font-size: 19px;
    color: #333;
    margin-bottom: 40px;
}
.tienda-container {
    max-width: 98%;
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}
tbody{
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-size: 13px;
}
/* Estilo para los encabezados de la tabla */
#tablaPedidos thead th {
    background-color: #2da4ca;
    color: white;
    font-size: 13px;
    font-family: "Poppins", sans-serif;
    padding: 12px;
    text-transform: uppercase;
    border: none;
}

/* Ajuste de bordes y espaciado de las celdas */
#tablaPedidos th, #tablaPedidos td {
    padding: 12px;
    text-align: center;
    border: none;
}

/* Cambio de color al pasar el mouse sobre las filas */
#tablaPedidos tbody tr:hover {
    background-color: #f1f9fc;
}

/* Estilo para las filas impares */
#tablaPedidos tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

/* Estilo para las filas pares */
#tablaPedidos tbody tr:nth-child(even) {
    background-color: #ffffff;
}
#tablaPedidos_length{
    margin-bottom: 15px;
}
.canjear-btn{
    background-color: #e3c7ff;
    border: none;
    color: #4a2b69;
    padding: 6px 10px;
    border-radius: 5px;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
}
.btn-canjeado{
    background-color: #d9d9d9;
    border: none;
    color: #939393;
    padding: 6px 10px;
    border-radius: 5px;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
}

/*Facturacion*/
    .facturacion-container > h2{
        font-family: "Nunito", sans-serif;
        font-size: 19px;
        color: #333;
        margin-bottom: 40px;
    }
    .facturacion-container {
        max-width: 98%;
        margin: auto;
        background: white;
        padding: 20px;
        border-radius: 8px;
        box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    }
    /* Estilo para los encabezados de la tabla */
    #tablaFacturacion thead th {
        background-color: #2da4ca;
        color: white;
        font-size: 13px;
        font-family: "Poppins", sans-serif;
        padding: 12px;
        text-transform: uppercase;
        border: none;
    }
    
    /* Ajuste de bordes y espaciado de las celdas */
    #tablaFacturacion th, #tablaFacturacion td {
        padding: 12px;
        text-align: center;
        border: none;
    }
    
    /* Cambio de color al pasar el mouse sobre las filas */
    #tablaFacturacion tbody tr:hover {
        background-color: #f1f9fc;
    }
    
    /* Estilo para las filas impares */
    #tablaFacturacion tbody tr:nth-child(odd) {
        background-color: #f9f9f9;
    }
    
    /* Estilo para las filas pares */
    #tablaFacturacion tbody tr:nth-child(even) {
        background-color: #ffffff;
    }
    #tablaFacturacion_length{
        margin-bottom: 15px;
    }
    .expandir-tickets{
        background-color: #7859a9;
        color: #eaddff;
        border: 2px solid #fff;
        padding: 3px 6px;
        border-radius: 50%;
        cursor:pointer;
    }
    .expandir-tickets.expanded {
        background-color: #7859a9;
        color: #eaddff;
        border: 2px solid #fff;
        padding: 3px 8px;
        border-radius: 50%;
        cursor: pointer;
   }